import Vue from 'vue';
import Address from './address';
import Alert from './alert';
import AnnexList from './annexList';
import Autocomplete from './autocomplete';
import Button from './button';
import ButtonGroup from './buttonGroup';
import Cascader from './cascader';
import Checkbox from './checkbox';
import CheckBoxGroup from './checkBoxGroup';
import ColorPicker from './colorPicker';
import Communication from './communication';
import Datepicker from './datepicker';
import Dependence from './dependence';
import Descriptions from './descriptions';
import DisplayTable from './displayTable';
import Form from './form';
import FormDialog from './formDialog';
import FormDownload from './formDownload';
import FormSelect from './formSelect';
import FormTable from './formTable';
import FormTitle from './formTitle';
import FormUpload from './formUpload';
import GroupContainer from './groupContainer';
import GroupTitle from './groupTitle';
import Iframe from './iframe';
import PictureFrame from './pictureFrame';
import Input from './input';
import InputNumber from './inputNumber';
import Link from './link';
import Radio from './radio';
import Radiogroup from './radiogroup';
import Row from './row';
import Self from './self';
import Switch from './switch';
import Textarea from './textarea';
import Timepicker from './timepicker';
import Timeselect from './timeselect';
import WangEditor from './wangEditor';

const components = [
  Address,
  Alert,
  AnnexList,
  Autocomplete,
  Button,
  ButtonGroup,
  Cascader,
  Checkbox,
  CheckBoxGroup,
  ColorPicker,
  Communication,
  Datepicker,
  Dependence,
  Descriptions,
  DisplayTable,
  Form,
  FormDialog,
  FormDownload,
  FormSelect,
  FormTable,
  FormTitle,
  FormUpload,
  GroupContainer,
  GroupTitle,
  Iframe,
  PictureFrame,
  Input,
  InputNumber,
  Link,
  Radio,
  Radiogroup,
  Row,
  Self,
  Switch,
  Textarea,
  Timepicker,
  Timeselect,
  WangEditor,
];

components.map((component) => {
  Vue.component(component.name, component);
});

export default components;
