/**
 * 模块说明
 * @module 默认formConfig配置
 * @author Max.Law 2022/08/26
 */

export const BASE_FORM_ATTRIBUTES = {
  //表格默认参数
  labelPosition: 'right',
  labelWidth: '100px',
  labelSuffix: ':',
  size: 'mini',
  disabled: false,
  hasSubmitBtn: false,
};

export const BASE_FROM_ITEM = {
  span: 11,
  offset: 0,
  noLabel: false,
  required: false,
  neverDisabled: false,
};

const formEvent = {
  //表单事件
  beforeCreate: '', //构建前 - 异步函数
  created: '', //构建后
  beforeSubmit: '', //提交前 - 异步函数
  submited: '', //提交后
  watchList: [], //监听事件
};

export const MODULE_CONFIG = {
  type: 'module',
  column: [],
};

export const TEMPLATE_CONFIG = {
  type: 'template',
  column: [],
  formEvent,
};

export const PAGE_CONFIG = {
  type: 'page',
  column: [],
  formEvent,
};
