//基础组件列表
import BASE_WIDGET from './baseWidget.d';
//业务组件列表
import PROCESS_WIDGET from './processWidget';

const getList = (arr) => {
  return arr.map((item) => {
    return BASE_WIDGET[item];
  });
};

export default [
  {
    title: '基础组件',
    list: getList([
      'form-title',
      'group-title',
      'row',
      'group-container',
      'button',
      'button-group',
      'link',
      'alert',
      'wang-editor',
      'form-dialog',
    ]),
  },
  {
    title: '表单组件',
    list: getList([
      'input',
      'autocomplete',
      'textarea',
      'input-number',
      'form-select',
      'cascader',
      'checkbox',
      'checkbox-group',
      'radio',
      'radio-group',
      'date-picker',
      'time-select',
      'time-picker',
      'switch',
      'form-upload',
      'form-download',
      'descriptions',
      'display-table',
      'form-table',
      'annex-list',
      'color-picker',
      'picture-frame',
      'communication',
      'iframe',
    ]),
  },
  {
    title: '业务组件',
    list: PROCESS_WIDGET,
  },
];
