// 基础工具
import {
  isEmptyObject,
  dataTypeOf,
  isNumberStr,
  debounce,
  DEEP_CLONE,
  FIND_ITEM,
  FIND_REAL_ITEM,
  FIND_PARENT,
  SMARTS_OBJECT,
  Export_Excel,
} from './utils.d';

// 组件安装工具
import {
  MOUNT_DEFAULT_FORM,
  MOUNT_DEFAULT,
  UNMOUNT_DEFAULT,
  UNMOUNT_DEFAULT_FORM,
  GET_COMPONENT,
  GET_PLACE_HOLDER,
  GET_BIND_DATA,
  DEL_WIDGET,
  ADD_WIDGET,
} from './widgetUtils.d';

const ENV = 'RISE_DESIGN';

export {
  ENV,
  //基础工具
  isEmptyObject,
  dataTypeOf,
  isNumberStr,
  debounce,
  SMARTS_OBJECT,
  DEEP_CLONE,
  FIND_ITEM,
  FIND_REAL_ITEM,
  FIND_PARENT,
  Export_Excel,
  //安装工具
  MOUNT_DEFAULT_FORM,
  MOUNT_DEFAULT,
  UNMOUNT_DEFAULT,
  UNMOUNT_DEFAULT_FORM,
  GET_COMPONENT,
  GET_PLACE_HOLDER,
  GET_BIND_DATA,
  DEL_WIDGET,
  ADD_WIDGET,
};
